from uuid import UUID
from pydantic import BaseModel

from app.schemas.user import User

class IdTokenBase(BaseModel):
    title: str
    is_active: bool

class IdTokenCreate(IdTokenBase):
    pass

class IdToken(IdTokenBase):
    id: UUID
    owner: User

    class Config:
        from_attributes = True